﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace RET_igGrid.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
			GridModel gridModel = new GridModel();

			GridUpdating updating = new GridUpdating()
			{

				AddRowLabel = "New Customer",

				EditMode = GridEditMode.RowEditTemplate,

				RowEditDialogContainment = "window",

				RowEditDialogHeight = "400px",

				EnableDeleteRow = false,

				RowEditDialogWidth = "600px",

				StartEditTriggers = GridStartEditTriggers.DblClick,

			};

			List<ColumnUpdatingSetting> columnSettings = new List<ColumnUpdatingSetting>();

			ColumnUpdatingSetting setting = new ColumnUpdatingSetting();
			setting.ColumnKey = "Name";
			setting.Required = true;

			columnSettings.Add(setting);


			updating.RowEditDialogRowTemplate = "<tr><td style='color:green;'>${headerText}</td><td data-key='${dataKey}'><input /></td></tr>";
		
			
			updating.ColumnSettings = columnSettings; 
			gridModel.Features.Add(updating);


			gridModel.PrimaryKey = "ID";
			gridModel.DataSource = GetData().AsQueryable();

			return View(gridModel);
        }

		private List<Item> GetData()
		{
			List<Item> items = new List<Item>();
			for (int i = 0; i < 20; i++)
			{
				items.Add(new Item() { ID=i, Name="Name "+i, Price=i });
			}
			return items;
		}
    }
}